<?php
namespace FiloBlu\Newsletter\Model\PreConfirm\Source;

class IsEnabled implements \Magento\Framework\Data\OptionSourceInterface
{
   
    protected $preConfirmPage;

    public function __construct(\FiloBlu\Newsletter\Model\PreConfirm $preConfirmPage)
    {
        $this->preConfirmPage = $preConfirmPage;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = ['label' => '', 'value' => ''];
        $availableOptions = $this->preConfirmPage->getAvailableStatuses();

        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }
}